Package org.jfree.report.flow

## Interface ReportTarget

- All Known Subinterfaces:
    `StatefullReportTarget`
  All Known Implementing Classes:
    `AbstractReportTarget`, `BufferedReportTarget`, `EmptyReportTarget`, `LibLayoutReportTarget`, `RawReportTarget`, `XmlPrintReportTarget`

      public interface ReportTarget

  The report target is responsible for the content creation. There are targets which forward all incomming calls to LibLayout, while other targets process the content directly.
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `commit()` |
    `void` | `endElement​(org.jfree.layouting.util.AttributeMap attrs)` |
    `void` | `endReport​(ReportStructureRoot report)` |
    `java.lang.String` | `getExportDescriptor()` |
    `org.jfree.layouting.namespace.NamespaceDefinition` | `getNamespaceByUri​(java.lang.String uri)` |
    `void` | `processContent​(DataFlags value)` |
    `void` | `processText​(java.lang.String text)` |
    `void` | `startElement​(org.jfree.layouting.util.AttributeMap attrs)` |
    `void` | `startReport​(ReportStructureRoot report)` |

- - ### Method Detail

    - #### startReport

          void startReport​(ReportStructureRoot report)
                    throws DataSourceException,
                           ReportProcessingException

      Throws:
        `DataSourceException`
        `ReportProcessingException`

    - #### startElement

          void startElement​(org.jfree.layouting.util.AttributeMap attrs)
                     throws DataSourceException,
                            ReportProcessingException

      Throws:
        `DataSourceException`
        `ReportProcessingException`

    - #### processText

          void processText​(java.lang.String text)
                    throws DataSourceException,
                           ReportProcessingException

      Throws:
        `DataSourceException`
        `ReportProcessingException`

    - #### processContent

          void processContent​(DataFlags value)
                       throws DataSourceException,
                              ReportProcessingException

      Throws:
        `DataSourceException`
        `ReportProcessingException`

    - #### endElement

          void endElement​(org.jfree.layouting.util.AttributeMap attrs)
                   throws DataSourceException,
                          ReportProcessingException

      Throws:
        `DataSourceException`
        `ReportProcessingException`

    - #### endReport

          void endReport​(ReportStructureRoot report)
                  throws DataSourceException,
                         ReportProcessingException

      Throws:
        `DataSourceException`
        `ReportProcessingException`

    - #### getExportDescriptor

          java.lang.String getExportDescriptor()

    - #### getNamespaceByUri

          org.jfree.layouting.namespace.NamespaceDefinition getNamespaceByUri​(java.lang.String uri)

    - #### commit

          void commit()
               throws ReportProcessingException

      Throws:
        `ReportProcessingException`